POST Order Check Item availability
Check ordering availability for the list of menu items
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: array object[]
- Type: objectorder
_type - Type: stringsingular
_point _id
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for post/orders/check-item-availability
curl https://api-public-demo.menu.app/api/orders/check-item-availability \
--request POST \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'X-QB-Enabled: true' \
--data '{
"singular_point_id": "1844fcaf-ef92-4414-8b1b-430099e9dd7d",
"order_type": {
"id": 6
},
"menu_items": [
{
"id": "29068785-2229-4ca1-b236-76744c1f0d8e"
}
]
}'
{
"status": "OK",
"code": 200,
"data": {
"unavailable_items": [
{
"id": "19a39868-3f23-11ed-936c-1a67b454859d"
}
]
}
}